%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           kodos
Version:        2.4.9
Release:        20%{?dist}
Summary:        Visual regular expression editor

Group:          Development/Tools
# No version specified.
License:        GPL+
URL:            http://kodos.sourceforge.net/
Source0:        http://download.sourceforge.net/kodos/kodos-%{version}.tar.gz
Source1:        kodos.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, desktop-file-utils

Requires:       PyQt


%description
Kodos is a visual regular expression editor and debugger written in Python.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/kodos/py2exe*
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/kodos/kodos.py
mv $RPM_BUILD_ROOT%{_bindir}/kodos.py $RPM_BUILD_ROOT%{_bindir}/kodos
mkdir -p -m 0755 \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps \
    $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 images/kodos_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
    --vendor fedora \
%endif
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt
%{_bindir}/*
%{_datadir}/kodos
%{python_sitelib}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.9-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.9-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 2.4.9-14
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.4.9-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4.9-6
- Rebuild for Python 2.6

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.9-5
- fix license tag

* Sat Jun 16 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4.9-4
- Remove leftover useless Requires.

* Sun Jun 10 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4.9-3
- Don't add X-Fedora to desktop-file-install
- Don't run update-desktop-database, since there's no MimeType to worry about

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4.9-2
- BR desktop-file-utils
- Set permissions correctly to appease rpmlint

* Mon Jan 29 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4.9-1
- Initial packaging for Extras.
